#!/usr/bin/python

"""
Test connectogram output (NEED TO WRITE THIS)
"""
from numpy.testing import assert_array_equal, assert_almost_equal, assert_equal
from pybraincompare.template.futils import get_package_dir
from pybraincompare.mr.datasets import get_pair_images
from pybraincompare.compare.network import connectogram
from nose.tools import assert_true, assert_false
from pybraincompare.template.visual import view
import pandas
import re
import os

'''Test that connectogram returns same output'''
def test_connectogram_output():

    # A square matrix, tab separated file, with row and column names corresponding to node names
    data_directory = os.path.join(os.path.abspath(os.path.join(get_package_dir(),"..")),"testing","data")
    connectivity_matrix = "%s/parcel_matrix.tsv" %(data_directory)
    parcel_info = pandas.read_csv("%s/parcels.csv"  %(data_directory))
    networks = list(parcel_info["Community"])
    # should be in format "L-1" for hemisphere (Lrint or R) and group number (1..N)
    groups = ["%s-%s" %(parcel_info["Hem"][x],parcel_info["ID"][x]) for x in range(0,parcel_info.shape[0])]
    threshold = 0.99
    html_snippet = connectogram(matrix_file=connectivity_matrix,groups=groups,threshold=threshold,network_names=networks)
    html_snippet = "".join(html_snippet)
    expected_output = '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n<html><head><meta http-equiv="Content-Type" content="text/html;charset=utf-8">\n<title>Connectogram: pybraincompare</title>\n<!-- JQuery for Bootstrap -->\n<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.2.min.js"></script>\n<!-- Bootstrap styling -->\n<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css">\n<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap-theme.min.css">\n<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>\n<script type="text/javascript" src="https://cdn.rawgit.com/vsoch/pybraincompare/master/pybraincompare/template/js/d3.js"></script>\n<script type="text/javascript" src="https://cdn.rawgit.com/vsoch/pybraincompare/master/pybraincompare/template/js/d3.layout.js"></script>\n<script type="text/javascript" src="https://cdn.rawgit.com/vsoch/pybraincompare/master/pybraincompare/template/js/packages.js"></script>\n<!-- Connectogram Styling -->\n<style>\nbody {\n  background: #ffffff;\n}\n\na:link, a:visited {\n  color: #777;\n  text-decoration: none;\n}\n\na:hover {\n  color: #666;\n}\n\nblockquote {\n  margin: 0;\n}\n\nblockquote:before {\n  content: "\xc3\xa2\xe2\x82\xac\xc5\x93";\n  position: absolute;\n  left: -.4em;\n}\n\nblockquote:after {\n  content: "\xc3\xa2\xe2\x82\xac\xc2\x9d";\n  position: absolute;\n}\n\n\n.invert {\n  background: #1f1f1f;\n  color: #dcdccc;\n}\n\n.invert h2, .invert h3 {\n  color: #7f9f7f;\n}\n\n.string, .regexp {\n  color: #f39;\n}\n\n.keyword {\n  color: #00c;\n}\n\n.comment {\n  color: #777;\n  font-style: oblique;\n}\n\n.number {\n  color: #369;\n}\n\n.class, .special {\n  color: #1181B8;\n}\n\n\n/* Specific d3 styling */\n\npath.arc {\n  cursor: move;\n  fill: #fff;\n}\n\n.node {\n  font-size: 14px;\n  font-weight: bold;\n}\n\n.node:hover {\n  fill: #1f77b4;\n}\n\n.link {\n  fill: none;\n  stroke: #1f77b4;\n  stroke-opacity: 0.4;\n  pointer-events: none;\n}\n\n.link.source, .link.target {\n  stroke-opacity: 1;\n  stroke-width: 2px;\n}\n\n.node.target {\n  /*fill: #d62728 !important;*/\n}\n\n.link.source {\n  /*stroke: #d62728;*/\n}\n\n.node.source {\n  /*fill: #2ca02c;*/\n}\n\n.link.target {\n  /*stroke: #2ca02c;*/\n}\n\n\n/* Network div position */\n#network {\n  position: fixed:\n  top: 75px;\n  left: 100px;\n}\n\n/* Here is the control sliders */\n.control {\n  position:absolute;\n  bottom:20;\n  font-size:18px;"\n  padding-left: 20px;\n  padding-right:30px;\n  padding-top: 5px;\n  padding-bottom: 20px;\n  float: left;\n  position: absolute;\n  top: 50px;\n  left: 50px;\n  margin-top: 5px;\n  margin-left: 5px;\n  border-radius: 15px;\n  /*background: #cccccc;\n  filter:alpha(opacity=80);\n\t\t\topacity: 0.8;\n\t\t\t-moz-opacity: 0.8;\n\t\t\t-khtml-opacity:0.8;*/\n  z-index: 5;\n}\n\n/* Here is the image box in the top right*/\n#imageBox {\n  vertical-align: top;\n  padding-left: 20px;\n  padding-right:20px;\n  padding-top: 20px;\n  padding-bottom: 20px;\n  float: right;\n  position: absolute;\n  margin-top: 30px;\n  margin-left: 40px;\n  border-radius: 15px;\n  background: #cccccc;\n  filter:alpha(opacity=70);\n\t\t\topacity: 0.7;\n\t\t\t-moz-opacity: 0.7;\n\t\t\t-khtml-opacity:0.7;\n  z-index: 5;\n  top: 50px;\n  right: 25px;\n  \n}\n\n/* Title box with region name at top*/\n#titleBox {\n  vertical-align: top;\n  padding-left: 15px;\n  padding-right:15px;\n  padding-top: 5px;\n  padding-bottom: 5px;\n  position: absolute;\n  margin-top: 20px;\n  margin-left: 40px;\n  border-radius: 15px;\n  color: #666666;\n  z-index: 6;\n  top: 75px;\n  right: 15%;\n  \n}\n\n/* Control box in top left*/\n#controlBox {\n  vertical-align: top;\n  width: 250px;\n  height: 200px;\n  padding-top:100px;\n  padding-left:20px;\n  float: left;\n  position: absolute;\n  margin-top: 30px;\n  margin-left: 25px;\n  border-radius: 15px;\n  z-index: 5;\n  top: 50px;\n  left: 10px;\n  \n}\n</style>\n<!-- Mobile touch zooming -->\n<meta name="viewport" content="width=device-width, initial-scale=1">\n</head>\n\n<body>\n\n<!--Controls, saving, etc-->\n<div id="controlBox">\n\n<form role="form">\n  <div class="form-group">\n     <input type="checkbox" class="btn btn-success" id="highlight_positive"> Highlight Positive<br>\n  </div>\n  <div class="form-group">\n    <input type="checkbox" class="btn btn-success" id="highlight_negative"> Highlight Negative<br>     \n  </div>\n  <button class="btn btn-success" id="save_as_svg" value="" onclick="save_svg()">Save as SVG</button>\n</form>\n\n</div>\n\n<!--Here is image box\n<div id="imageBox">\n  <img src="img/dummy.png" width="100px" />\n  <h3>X<div id="x">0.0</div></h3>\n  <h3>Y<div id="y">0.0</div></h3>\n  <h3>Z<div id="z">0.0</div></h3>\n</div>-->\n<!--Here is the title-->\n<div id="titleBox">\n      <h3>Connectogram</h3>\n</div>   \n\n<!-- Stick d3 here-->\n<div class="network" id="network">\n<fullNetwork>\n</div>\n\n\n<!-- Insert my connectome javascript! -->\n<script>\n// Here is the size of the canvas, and the radius for the visualization\nvar w = 1600,\n    h = 1600,\n    rx = w / 2 - 150,\n    ry = h / 2 - 150,\n    m0,\n    rotate = 0;\n\nvar splines = [];\n\n// Here is a function to specify the ordering\n// We compare the "order" varaible between the two nodes\nfunction comparator(a, b) {\n    return d3.ascending(a.order, b.order);\n}\n\n// The clustering layout will sort the data based on the "order" variable, HOWEVER (this is important!)\n// if you specify groupings (Eg in name R-1.1, R-1 is a group) that break apart this ordering, it will\n// be broken.\nvar cluster = d3.layout.cluster()\n    .size([360, ry - 150])\n    .sort(comparator);\n    \n\nvar bundle = d3.layout.bundle();\n\nvar line = d3.svg.line.radial()\n    .interpolate("bundle")\n    .tension(.85) // this tension determines the spacing and extent of the edges into the circle\n    .radius(function(d) { return d.y; })\n    .angle(function(d) { return d.x / 180 * Math.PI; });\n\n// Chrome 15 bug: <http://code.google.com/p/chromium/issues/detail?id=98951>\nvar div = d3.select("fullNetwork").insert("div", "h2")\n    .attr("id","svg-canvas")\n    .style("top", "80px")\n    .style("left", "80px")\n    .style("width", w + "px")\n    .style("height", w + "px")\n    .style("position", "absolute")\n    .style("-webkit-backface-visibility", "hidden");\n\nvar svg = div.append("svg:svg")\n    .attr("width", w)\n    .attr("height", w)\n    .attr("xmlns","http://www.w3.org/2000/svg")\n    .attr("version",1.1)\n    .append("svg:g")\n      .attr("transform", "translate(" + rx + "," + ry + ")");\n\nsvg.append("svg:path")\n    .attr("class", "arc")\n    .style("fill","#fff")\n    .attr("d", d3.svg.arc().outerRadius(ry - 120).innerRadius(0).startAngle(0).endAngle(2 * Math.PI))\n    .on("mousedown", mousedown);\n\n// Here is a funcion to get variables from the URL - the code script name\nfunction getUrlVars() {\n    var vars = {};\n    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {\n        vars[key] = value;\n    });\n    return vars;\n}\n\nclasses = [{"name":"L-4.1","strength":"0.675|0.578|0.668|0.55|0.554|0.814|0.607|0.586","x":99,"y":99,"z":99,"image":"#","order":1,"color":"#340E2C","network":"Default","connections":["L-4.6","L-5.44","L-13.94","L-8.150","L-13.157","L-13.162","R-2.220","R-2.259"]},\n{"name":"L-10.2","strength":"0.552|0.57|0.591|0.644|0.615|0.68","x":99,"y":99,"z":99,"image":"#","order":2,"color":"#2ACA3F","network":"SMhand","connections":["L-7.22","L-2.31","L-10.35","L-10.50","L-5.91","L-7.163"]},\n{"name":"L-11.3","strength":"0.785|0.588|0.627","x":99,"y":99,"z":99,"image":"#","order":3,"color":"#60A0C7","network":"SMmouth","connections":["L-10.53","L-8.164","R-2.212"]},\n{"name":"L-4.4","strength":"0.581|0.572|0.598|0.547|0.585|0.578","x":99,"y":99,"z":99,"image":"#","order":4,"color":"#340E2C","network":"Default","connections":["L-4.6","L-5.44","L-7.145","L-4.146","L-13.157","L-7.165"]},\n{"name":"L-13.5","strength":"0.563|0.658|0.61|0.672|0.748|0.626|0.561|0.553|0.798|0.605|0.613|0.647|0.844|0.63|0.562|0.585|0.674|0.61|0.633|0.602|0.544|0.669|0.694|0.569|0.627|0.582","x":99,"y":99,"z":99,"image":"#","order":5,"color":"#43956A","network":"Visual","connections":["L-13.8","L-8.15","L-9.87","L-12.90","L-3.97","L-5.99","L-6.100","L-4.131","L-7.137","L-7.138","L-7.139","L-7.141","L-4.166","L-2.175","R-1.251","R-12.252","R-12.255","R-1.256","R-2.258","R-6.264","R-12.265","R-6.298","R-5.307","R-13.308","R-13.310","R-5.311"]},\n{"name":"L-4.6","strength":"0.675|0.581|0.581|0.607|0.621|0.69|0.593|0.598|0.56|0.588|0.679|0.582|0.631|0.546","x":99,"y":99,"z":99,"image":"#","order":6,"color":"#340E2C","network":"Default","connections":["L-4.1","L-4.4","L-2.25","L-5.44","L-11.62","L-13.94","L-4.127","L-7.145","L-4.146","L-8.150","L-13.157","L-13.162","R-2.220","R-2.259"]},\n{"name":"L-6.7","x":99,"y":99,"z":99,"image":"#","order":7,"color":"#649838","network":"FrontoParietal"},\n{"name":"L-13.8","strength":"0.563|0.54|0.555","x":99,"y":99,"z":99,"image":"#","order":8,"color":"#43956A","network":"Visual","connections":["L-13.5","L-4.131","L-7.137"]},\n{"name":"L-6.9","x":99,"y":99,"z":99,"image":"#","order":9,"color":"#649838","network":"FrontoParietal"},\n{"name":"L-1.10","x":99,"y":99,"z":99,"image":"#","order":10,"color":"#5ED5DF","network":"Auditory"},\n{"name":"L-7.12","x":99,"y":99,"z":99,"image":"#","order":12,"color":"#ACA049","network":"None"},\n{"name":"L-3.13","strength":"0.547","x":99,"y":99,"z":99,"image":"#","order":13,"color":"#D53BD3","network":"CinguloParietal","connections":["L-4.174"]},\n{"name":"L-8.14","x":99,"y":99,"z":99,"image":"#","order":14,"color":"#43D484","network":"RetrosplenialTemporal"},\n{"name":"L-8.15","strength":"0.658|0.58|0.611|0.697|0.604|0.673|0.607|0.821|0.549|0.574|0.592|0.575|0.541","x":99,"y":99,"z":99,"image":"#","order":15,"color":"#43D484","network":"RetrosplenialTemporal","connections":["L-13.5","L-12.90","L-3.97","L-7.137","L-7.138","L-7.141","L-4.166","L-2.175","R-12.255","R-6.298","R-5.307","R-13.308","R-13.310"]},\n{"name":"L-13.16","x":99,"y":99,"z":99,"image":"#","order":16,"color":"#43956A","network":"Visual"},\n{"name":"L-13.17","x":99,"y":99,"z":99,"image":"#","order":17,"color":"#43956A","network":"Visual"},\n{"name":"L-13.20","x":99,"y":99,"z":99,"image":"#","order":20,"color":"#43956A","network":"Visual"},\n{"name":"L-7.21","strength":"0.602","x":99,"y":99,"z":99,"image":"#","order":21,"color":"#ACA049","network":"None","connections":["L-4.180"]},\n{"name":"L-7.22","strength":"0.552|0.572|0.573|0.541|0.548","x":99,"y":99,"z":99,"image":"#","order":22,"color":"#ACA049","network":"None","connections":["L-10.2","L-6.27","L-10.34","L-4.180","L-12.185"]},\n{"name":"L-13.23","x":99,"y":99,"z":99,"image":"#","order":23,"color":"#43956A","network":"Visual"},\n{"name":"L-2.24","strength":"0.56","x":99,"y":99,"z":99,"image":"#","order":24,"color":"#364D13","network":"CinguloOperc","connections":["L-2.25"]},\n{"name":"L-2.25","strength":"0.581|0.56|0.549|0.568|0.581|0.565","x":99,"y":99,"z":99,"image":"#","order":25,"color":"#364D13","network":"CinguloOperc","connections":["L-4.6","L-2.24","L-5.44","L-7.145","L-8.150","L-13.157"]},\n{"name":"L-12.26","x":99,"y":99,"z":99,"image":"#","order":26,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"L-6.27","strength":"0.572","x":99,"y":99,"z":99,"image":"#","order":27,"color":"#649838","network":"FrontoParietal","connections":["L-7.22"]},\n{"name":"L-4.28","x":99,"y":99,"z":99,"image":"#","order":28,"color":"#340E2C","network":"Default"},\n{"name":"L-4.29","x":99,"y":99,"z":99,"image":"#","order":29,"color":"#340E2C","network":"Default"},\n{"name":"L-2.30","x":99,"y":99,"z":99,"image":"#","order":30,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-2.31","strength":"0.57|0.573|0.561|0.557|0.668","x":99,"y":99,"z":99,"image":"#","order":31,"color":"#364D13","network":"CinguloOperc","connections":["L-10.2","L-10.38","L-10.50","L-7.163","R-13.190"]},\n{"name":"L-9.32","strength":"0.574|0.554|0.546","x":99,"y":99,"z":99,"image":"#","order":32,"color":"#4E3124","network":"Salience","connections":["L-10.36","R-6.191","R-13.193"]},\n{"name":"L-10.33","x":99,"y":99,"z":99,"image":"#","order":33,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-10.34","strength":"0.573","x":99,"y":99,"z":99,"image":"#","order":34,"color":"#2ACA3F","network":"SMhand","connections":["L-7.22"]},\n{"name":"L-10.35","strength":"0.591|0.543|0.6|0.611","x":99,"y":99,"z":99,"image":"#","order":35,"color":"#2ACA3F","network":"SMhand","connections":["L-10.2","L-10.36","L-7.163","R-13.193"]},\n{"name":"L-10.36","strength":"0.574|0.543|0.551|0.687|0.569","x":99,"y":99,"z":99,"image":"#","order":36,"color":"#2ACA3F","network":"SMhand","connections":["L-9.32","L-10.35","R-13.190","R-6.191","R-13.193"]},\n{"name":"L-2.37","x":99,"y":99,"z":99,"image":"#","order":37,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-10.38","strength":"0.573|0.705|0.612|0.584|0.562|0.564|0.632|0.657|0.551","x":99,"y":99,"z":99,"image":"#","order":38,"color":"#2ACA3F","network":"SMhand","connections":["L-2.31","L-5.45","L-4.47","L-10.50","L-10.53","L-10.57","L-5.58","L-10.59","R-2.216"]},\n{"name":"L-10.39","x":99,"y":99,"z":99,"image":"#","order":39,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-10.40","x":99,"y":99,"z":99,"image":"#","order":40,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-10.41","x":99,"y":99,"z":99,"image":"#","order":41,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-11.42","x":99,"y":99,"z":99,"image":"#","order":42,"color":"#60A0C7","network":"SMmouth"},\n{"name":"L-2.43","x":99,"y":99,"z":99,"image":"#","order":43,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-5.44","strength":"0.578|0.572|0.607|0.549|0.617|0.588|0.562|0.547|0.589|0.563|0.58","x":99,"y":99,"z":99,"image":"#","order":44,"color":"#D26F9C","network":"DorsalAttn","connections":["L-4.1","L-4.4","L-4.6","L-2.25","L-13.94","L-7.145","L-7.154","L-13.156","L-13.157","R-13.200","R-1.315"]},\n{"name":"L-5.45","strength":"0.705|0.58|0.614|0.639","x":99,"y":99,"z":99,"image":"#","order":45,"color":"#D26F9C","network":"DorsalAttn","connections":["L-10.38","L-4.47","L-10.57","L-5.58"]},\n{"name":"L-5.46","strength":"0.544","x":99,"y":99,"z":99,"image":"#","order":46,"color":"#D26F9C","network":"DorsalAttn","connections":["L-10.57"]},\n{"name":"L-4.47","strength":"0.612|0.58","x":99,"y":99,"z":99,"image":"#","order":47,"color":"#340E2C","network":"Default","connections":["L-10.38","L-5.45"]},\n{"name":"L-10.48","x":99,"y":99,"z":99,"image":"#","order":48,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-10.49","x":99,"y":99,"z":99,"image":"#","order":49,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-10.50","strength":"0.644|0.561|0.584|0.554|0.581","x":99,"y":99,"z":99,"image":"#","order":50,"color":"#2ACA3F","network":"SMhand","connections":["L-10.2","L-2.31","L-10.38","L-10.57","L-7.163"]},\n{"name":"L-10.51","strength":"0.56|0.663|0.591|0.567|0.552|0.587|0.553","x":99,"y":99,"z":99,"image":"#","order":51,"color":"#2ACA3F","network":"SMhand","connections":["L-5.52","L-9.87","L-2.88","L-6.100","R-1.251","R-12.252","R-2.262"]},\n{"name":"L-5.52","strength":"0.56|0.582","x":99,"y":99,"z":99,"image":"#","order":52,"color":"#D26F9C","network":"DorsalAttn","connections":["L-10.51","L-5.96"]},\n{"name":"L-10.53","strength":"0.785|0.562|0.656|0.712","x":99,"y":99,"z":99,"image":"#","order":53,"color":"#2ACA3F","network":"SMhand","connections":["L-11.3","L-10.38","L-8.164","R-2.212"]},\n{"name":"L-5.54","strength":"0.546|0.602|0.554|0.568","x":99,"y":99,"z":99,"image":"#","order":54,"color":"#D26F9C","network":"DorsalAttn","connections":["L-5.55","L-11.56","L-5.58","L-2.105"]},\n{"name":"L-5.55","strength":"0.546|0.586|0.666|0.549","x":99,"y":99,"z":99,"image":"#","order":55,"color":"#D26F9C","network":"DorsalAttn","connections":["L-5.54","L-11.56","L-2.105","L-1.106"]},\n{"name":"L-11.56","strength":"0.602|0.586|0.591|0.553|0.553|0.54","x":99,"y":99,"z":99,"image":"#","order":56,"color":"#60A0C7","network":"SMmouth","connections":["L-5.54","L-5.55","L-5.58","L-9.87","L-2.105","R-5.213"]},\n{"name":"L-10.57","strength":"0.564|0.614|0.544|0.554|0.564","x":99,"y":99,"z":99,"image":"#","order":57,"color":"#2ACA3F","network":"SMhand","connections":["L-10.38","L-5.45","L-5.46","L-10.50","L-5.58"]},\n{"name":"L-5.58","strength":"0.632|0.639|0.554|0.591|0.564|0.544","x":99,"y":99,"z":99,"image":"#","order":58,"color":"#D26F9C","network":"DorsalAttn","connections":["L-10.38","L-5.45","L-5.54","L-11.56","L-10.57","L-10.59"]},\n{"name":"L-10.59","strength":"0.657|0.544","x":99,"y":99,"z":99,"image":"#","order":59,"color":"#2ACA3F","network":"SMhand","connections":["L-10.38","L-5.58"]},\n{"name":"L-10.60","x":99,"y":99,"z":99,"image":"#","order":60,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-10.61","x":99,"y":99,"z":99,"image":"#","order":61,"color":"#2ACA3F","network":"SMhand"},\n{"name":"L-11.62","strength":"0.621|0.597","x":99,"y":99,"z":99,"image":"#","order":62,"color":"#60A0C7","network":"SMmouth","connections":["L-4.6","L-4.127"]},\n{"name":"L-12.63","strength":"0.574|0.566","x":99,"y":99,"z":99,"image":"#","order":63,"color":"#CF89F5","network":"VentralAttn","connections":["L-13.103","L-2.105"]},\n{"name":"L-12.64","x":99,"y":99,"z":99,"image":"#","order":64,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"L-12.65","x":99,"y":99,"z":99,"image":"#","order":65,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"L-2.66","strength":"0.581","x":99,"y":99,"z":99,"image":"#","order":66,"color":"#364D13","network":"CinguloOperc","connections":["L-1.68"]},\n{"name":"L-1.67","strength":"0.552","x":99,"y":99,"z":99,"image":"#","order":67,"color":"#5ED5DF","network":"Auditory","connections":["L-1.68"]},\n{"name":"L-1.68","strength":"0.581|0.552","x":99,"y":99,"z":99,"image":"#","order":68,"color":"#5ED5DF","network":"Auditory","connections":["L-2.66","L-1.67"]},\n{"name":"L-1.69","x":99,"y":99,"z":99,"image":"#","order":69,"color":"#5ED5DF","network":"Auditory"},\n{"name":"L-1.70","x":99,"y":99,"z":99,"image":"#","order":70,"color":"#5ED5DF","network":"Auditory"},\n{"name":"L-1.71","x":99,"y":99,"z":99,"image":"#","order":71,"color":"#5ED5DF","network":"Auditory"},\n{"name":"L-1.72","x":99,"y":99,"z":99,"image":"#","order":72,"color":"#5ED5DF","network":"Auditory"},\n{"name":"L-1.74","strength":"0.551","x":99,"y":99,"z":99,"image":"#","order":74,"color":"#5ED5DF","network":"Auditory","connections":["L-5.110"]},\n{"name":"L-2.75","x":99,"y":99,"z":99,"image":"#","order":75,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-2.76","x":99,"y":99,"z":99,"image":"#","order":76,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-7.77","x":99,"y":99,"z":99,"image":"#","order":77,"color":"#ACA049","network":"None"},\n{"name":"L-5.78","x":99,"y":99,"z":99,"image":"#","order":78,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"L-12.79","x":99,"y":99,"z":99,"image":"#","order":79,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"L-2.80","x":99,"y":99,"z":99,"image":"#","order":80,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-1.81","x":99,"y":99,"z":99,"image":"#","order":81,"color":"#5ED5DF","network":"Auditory"},\n{"name":"L-6.82","x":99,"y":99,"z":99,"image":"#","order":82,"color":"#649838","network":"FrontoParietal"},\n{"name":"L-12.83","x":99,"y":99,"z":99,"image":"#","order":83,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"L-12.84","x":99,"y":99,"z":99,"image":"#","order":84,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"L-2.85","x":99,"y":99,"z":99,"image":"#","order":85,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-2.86","x":99,"y":99,"z":99,"image":"#","order":86,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-9.87","strength":"0.61|0.663|0.553|0.631|0.58|0.583|0.583|0.543|0.563|0.637|0.752|0.565|0.55|0.556","x":99,"y":99,"z":99,"image":"#","order":87,"color":"#4E3124","network":"Salience","connections":["L-13.5","L-10.51","L-11.56","L-2.88","L-5.91","L-3.97","L-6.100","L-4.166","R-4.189","R-1.251","R-12.252","R-12.253","R-2.258","R-2.262"]},\n{"name":"L-2.88","strength":"0.591|0.631|0.595|0.585|0.573|0.57","x":99,"y":99,"z":99,"image":"#","order":88,"color":"#364D13","network":"CinguloOperc","connections":["L-10.51","L-9.87","L-5.95","L-6.100","R-12.252","R-12.253"]},\n{"name":"L-12.89","strength":"0.565|0.603","x":99,"y":99,"z":99,"image":"#","order":89,"color":"#CF89F5","network":"VentralAttn","connections":["L-3.93","R-1.254"]},\n{"name":"L-12.90","strength":"0.672|0.58|0.658|0.627|0.603|0.667|0.555|0.544|0.602|0.608","x":99,"y":99,"z":99,"image":"#","order":90,"color":"#CF89F5","network":"VentralAttn","connections":["L-13.5","L-8.15","L-7.137","L-4.166","L-2.175","R-12.255","R-6.298","R-5.307","R-13.310","R-5.311"]},\n{"name":"L-5.91","strength":"0.615|0.58|0.624|0.568|0.714|0.547","x":99,"y":99,"z":99,"image":"#","order":91,"color":"#D26F9C","network":"DorsalAttn","connections":["L-10.2","L-9.87","L-5.92","L-7.163","R-4.189","R-12.252"]},\n{"name":"L-5.92","strength":"0.624|0.586","x":99,"y":99,"z":99,"image":"#","order":92,"color":"#D26F9C","network":"DorsalAttn","connections":["L-5.91","R-4.189"]},\n{"name":"L-3.93","strength":"0.565|0.704","x":99,"y":99,"z":99,"image":"#","order":93,"color":"#D53BD3","network":"CinguloParietal","connections":["L-12.89","R-1.254"]},\n{"name":"L-13.94","strength":"0.668|0.69|0.617|0.564|0.545|0.588|0.542|0.561|0.687","x":99,"y":99,"z":99,"image":"#","order":94,"color":"#43956A","network":"Visual","connections":["L-4.1","L-4.6","L-5.44","L-5.95","L-13.157","L-13.162","R-13.200","R-2.220","R-2.259"]},\n{"name":"L-5.95","strength":"0.595|0.564","x":99,"y":99,"z":99,"image":"#","order":95,"color":"#D26F9C","network":"DorsalAttn","connections":["L-2.88","L-13.94"]},\n{"name":"L-5.96","strength":"0.582","x":99,"y":99,"z":99,"image":"#","order":96,"color":"#D26F9C","network":"DorsalAttn","connections":["L-5.52"]},\n{"name":"L-3.97","strength":"0.748|0.611|0.583|0.661|0.614|0.578|0.639|0.625|0.662|0.677|0.577|0.587|0.664|0.574|0.552|0.597|0.571","x":99,"y":99,"z":99,"image":"#","order":97,"color":"#D53BD3","network":"CinguloParietal","connections":["L-13.5","L-8.15","L-9.87","L-4.98","L-5.99","L-6.100","L-7.137","L-7.139","L-7.141","L-4.166","L-2.175","R-2.258","R-1.263","R-6.264","R-12.265","R-6.298","R-5.307"]},\n{"name":"L-4.98","strength":"0.661|0.556|0.612|0.548|0.686","x":99,"y":99,"z":99,"image":"#","order":98,"color":"#340E2C","network":"Default","connections":["L-3.97","L-7.139","L-7.140","L-7.141","R-1.263"]},\n{"name":"L-5.99","strength":"0.626|0.614|0.587|0.56|0.582|0.543|0.551|0.576","x":99,"y":99,"z":99,"image":"#","order":99,"color":"#D26F9C","network":"DorsalAttn","connections":["L-13.5","L-3.97","L-6.100","L-7.137","L-7.139","L-7.141","L-4.166","R-6.264"]},\n{"name":"L-6.100","strength":"0.561|0.567|0.583|0.585|0.578|0.587|0.611|0.563","x":99,"y":99,"z":99,"image":"#","order":100,"color":"#649838","network":"FrontoParietal","connections":["L-13.5","L-10.51","L-9.87","L-2.88","L-3.97","L-5.99","L-7.139","R-12.265"]},\n{"name":"L-13.101","x":99,"y":99,"z":99,"image":"#","order":101,"color":"#43956A","network":"Visual"},\n{"name":"L-13.102","x":99,"y":99,"z":99,"image":"#","order":102,"color":"#43956A","network":"Visual"},\n{"name":"L-13.103","strength":"0.574|0.613|0.636","x":99,"y":99,"z":99,"image":"#","order":103,"color":"#43956A","network":"Visual","connections":["L-12.63","L-5.104","L-2.105"]},\n{"name":"L-5.104","strength":"0.613|0.549","x":99,"y":99,"z":99,"image":"#","order":104,"color":"#D26F9C","network":"DorsalAttn","connections":["L-13.103","L-2.105"]},\n{"name":"L-2.105","strength":"0.568|0.666|0.553|0.566|0.636|0.549|0.55|0.544","x":99,"y":99,"z":99,"image":"#","order":105,"color":"#364D13","network":"CinguloOperc","connections":["L-5.54","L-5.55","L-11.56","L-12.63","L-13.103","L-5.104","L-1.106","L-6.112"]},\n{"name":"L-1.106","strength":"0.549|0.55|0.563","x":99,"y":99,"z":99,"image":"#","order":106,"color":"#5ED5DF","network":"Auditory","connections":["L-5.55","L-2.105","L-6.112"]},\n{"name":"L-2.107","x":99,"y":99,"z":99,"image":"#","order":107,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-1.108","strength":"0.554","x":99,"y":99,"z":99,"image":"#","order":108,"color":"#5ED5DF","network":"Auditory","connections":["L-2.109"]},\n{"name":"L-2.109","strength":"0.554","x":99,"y":99,"z":99,"image":"#","order":109,"color":"#364D13","network":"CinguloOperc","connections":["L-1.108"]},\n{"name":"L-5.110","strength":"0.551","x":99,"y":99,"z":99,"image":"#","order":110,"color":"#D26F9C","network":"DorsalAttn","connections":["L-1.74"]},\n{"name":"L-5.111","x":99,"y":99,"z":99,"image":"#","order":111,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"L-6.112","strength":"0.544|0.563","x":99,"y":99,"z":99,"image":"#","order":112,"color":"#649838","network":"FrontoParietal","connections":["L-2.105","L-1.106"]},\n{"name":"L-6.113","x":99,"y":99,"z":99,"image":"#","order":113,"color":"#649838","network":"FrontoParietal"},\n{"name":"L-5.114","x":99,"y":99,"z":99,"image":"#","order":114,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"L-2.116","strength":"0.617|0.574|0.585","x":99,"y":99,"z":99,"image":"#","order":116,"color":"#364D13","network":"CinguloOperc","connections":["L-8.150","R-3.278","R-13.279"]},\n{"name":"L-2.117","x":99,"y":99,"z":99,"image":"#","order":117,"color":"#364D13","network":"CinguloOperc"},\n{"name":"L-5.126","x":99,"y":99,"z":99,"image":"#","order":126,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"L-4.127","strength":"0.593|0.597","x":99,"y":99,"z":99,"image":"#","order":127,"color":"#340E2C","network":"Default","connections":["L-4.6","L-11.62"]},\n{"name":"L-7.130","x":99,"y":99,"z":99,"image":"#","order":130,"color":"#ACA049","network":"None"},\n{"name":"L-4.131","strength":"0.553|0.54","x":99,"y":99,"z":99,"image":"#","order":131,"color":"#340E2C","network":"Default","connections":["L-13.5","L-13.8"]},\n{"name":"L-4.132","strength":"0.539|0.555","x":99,"y":99,"z":99,"image":"#","order":132,"color":"#340E2C","network":"Default","connections":["L-7.139","L-7.141"]},\n{"name":"L-7.136","x":99,"y":99,"z":99,"image":"#","order":136,"color":"#ACA049","network":"None"},\n{"name":"L-7.137","strength":"0.798|0.555|0.697|0.658|0.639|0.56|0.642|0.628|0.78|0.69|0.658|0.629|0.598|0.656|0.735|0.616|0.714|0.605","x":99,"y":99,"z":99,"image":"#","order":137,"color":"#ACA049","network":"None","connections":["L-13.5","L-13.8","L-8.15","L-12.90","L-3.97","L-5.99","L-7.138","L-7.141","L-4.166","L-2.175","R-12.255","R-1.256","R-6.264","R-6.298","R-5.307","R-13.308","R-13.310","R-5.311"]},\n{"name":"L-7.138","strength":"0.605|0.604|0.642|0.553|0.6|0.575|0.56|0.549","x":99,"y":99,"z":99,"image":"#","order":138,"color":"#ACA049","network":"None","connections":["L-13.5","L-8.15","L-7.137","L-7.141","L-4.166","L-2.175","R-5.307","R-13.308"]},\n{"name":"L-7.139","strength":"0.613|0.625|0.556|0.582|0.611|0.539|0.632|0.566","x":99,"y":99,"z":99,"image":"#","order":139,"color":"#ACA049","network":"None","connections":["L-13.5","L-3.97","L-4.98","L-5.99","L-6.100","L-4.132","L-7.141","L-4.166"]},\n{"name":"L-7.140","strength":"0.612|0.646","x":99,"y":99,"z":99,"image":"#","order":140,"color":"#ACA049","network":"None","connections":["L-4.98","R-1.263"]},\n{"name":"L-7.141","strength":"0.647|0.673|0.662|0.548|0.543|0.555|0.628|0.553|0.632|0.611|0.604|0.593|0.561|0.614|0.561|0.583","x":99,"y":99,"z":99,"image":"#","order":141,"color":"#ACA049","network":"None","connections":["L-13.5","L-8.15","L-3.97","L-4.98","L-5.99","L-4.132","L-7.137","L-7.138","L-7.139","L-4.166","L-2.175","R-1.263","R-6.264","R-6.298","R-5.307","R-13.309"]},\n{"name":"L-7.143","x":99,"y":99,"z":99,"image":"#","order":143,"color":"#ACA049","network":"None"},\n{"name":"L-7.145","strength":"0.598|0.598|0.568|0.588|0.631|0.586|0.579|0.543|0.542","x":99,"y":99,"z":99,"image":"#","order":145,"color":"#ACA049","network":"None","connections":["L-4.4","L-4.6","L-2.25","L-5.44","L-4.146","L-8.150","L-13.157","R-5.322","R-6.324"]},\n{"name":"L-4.146","strength":"0.547|0.56|0.631|0.653|0.557|0.595|0.583","x":99,"y":99,"z":99,"image":"#","order":146,"color":"#340E2C","network":"Default","connections":["L-4.4","L-4.6","L-7.145","L-8.150","L-13.151","R-2.321","R-5.322"]},\n{"name":"L-4.147","x":99,"y":99,"z":99,"image":"#","order":147,"color":"#340E2C","network":"Default"},\n{"name":"L-7.148","x":99,"y":99,"z":99,"image":"#","order":148,"color":"#ACA049","network":"None"},\n{"name":"L-7.149","x":99,"y":99,"z":99,"image":"#","order":149,"color":"#ACA049","network":"None"},\n{"name":"L-8.150","strength":"0.55|0.588|0.581|0.617|0.586|0.653|0.658|0.643|0.585|0.675|0.727|0.542|0.55|0.558","x":99,"y":99,"z":99,"image":"#","order":150,"color":"#43D484","network":"RetrosplenialTemporal","connections":["L-4.1","L-4.6","L-2.25","L-2.116","L-7.145","L-4.146","L-13.151","L-13.152","L-1.184","R-2.321","R-5.322","R-6.323","R-6.324","R-4.325"]},\n{"name":"L-13.151","strength":"0.557|0.658|0.585|0.583","x":99,"y":99,"z":99,"image":"#","order":151,"color":"#43956A","network":"Visual","connections":["L-4.146","L-8.150","R-2.321","R-5.322"]},\n{"name":"L-13.152","strength":"0.643|0.565|0.588","x":99,"y":99,"z":99,"image":"#","order":152,"color":"#43956A","network":"Visual","connections":["L-8.150","L-1.184","R-5.322"]},\n{"name":"L-7.153","strength":"0.574","x":99,"y":99,"z":99,"image":"#","order":153,"color":"#ACA049","network":"None","connections":["R-5.318"]},\n{"name":"L-7.154","strength":"0.562","x":99,"y":99,"z":99,"image":"#","order":154,"color":"#ACA049","network":"None","connections":["L-5.44"]},\n{"name":"L-7.155","x":99,"y":99,"z":99,"image":"#","order":155,"color":"#ACA049","network":"None"},\n{"name":"L-13.156","strength":"0.547","x":99,"y":99,"z":99,"image":"#","order":156,"color":"#43956A","network":"Visual","connections":["L-5.44"]},\n{"name":"L-13.157","strength":"0.554|0.585|0.679|0.565|0.589|0.545|0.579|0.577","x":99,"y":99,"z":99,"image":"#","order":157,"color":"#43956A","network":"Visual","connections":["L-4.1","L-4.4","L-4.6","L-2.25","L-5.44","L-13.94","L-7.145","L-13.158"]},\n{"name":"L-13.158","strength":"0.577","x":99,"y":99,"z":99,"image":"#","order":158,"color":"#43956A","network":"Visual","connections":["L-13.157"]},\n{"name":"L-13.160","x":99,"y":99,"z":99,"image":"#","order":160,"color":"#43956A","network":"Visual"},\n{"name":"L-13.161","x":99,"y":99,"z":99,"image":"#","order":161,"color":"#43956A","network":"Visual"},\n{"name":"L-13.162","strength":"0.814|0.582|0.588|0.6|0.633|0.544|0.546","x":99,"y":99,"z":99,"image":"#","order":162,"color":"#43956A","network":"Visual","connections":["L-4.1","L-4.6","L-13.94","R-2.220","R-2.259","R-1.315","R-5.322"]},\n{"name":"L-7.163","strength":"0.68|0.557|0.6|0.581|0.568|0.558|0.591|0.572|0.581|0.563|0.546","x":99,"y":99,"z":99,"image":"#","order":163,"color":"#ACA049","network":"None","connections":["L-10.2","L-2.31","L-10.35","L-10.50","L-5.91","R-4.189","R-13.190","R-13.193","R-2.209","R-1.251","R-12.252"]},\n{"name":"L-8.164","strength":"0.588|0.656|0.76","x":99,"y":99,"z":99,"image":"#","order":164,"color":"#43D484","network":"RetrosplenialTemporal","connections":["L-11.3","L-10.53","R-2.212"]},\n{"name":"L-7.165","strength":"0.578","x":99,"y":99,"z":99,"image":"#","order":165,"color":"#ACA049","network":"None","connections":["L-4.4"]},\n{"name":"L-4.166","strength":"0.844|0.607|0.543|0.627|0.677|0.551|0.78|0.6|0.566|0.611|0.633|0.564|0.575|0.689|0.645|0.662|0.599|0.685|0.577|0.71|0.755|0.6|0.67|0.586","x":99,"y":99,"z":99,"image":"#","order":166,"color":"#340E2C","network":"Default","connections":["L-13.5","L-8.15","L-9.87","L-12.90","L-3.97","L-5.99","L-7.137","L-7.138","L-7.139","L-7.141","L-2.175","R-1.251","R-12.252","R-12.255","R-1.256","R-2.258","R-1.263","R-6.264","R-12.265","R-6.298","R-5.307","R-13.308","R-13.310","R-5.311"]},\n{"name":"L-4.167","strength":"0.596|0.574|0.549","x":99,"y":99,"z":99,"image":"#","order":167,"color":"#340E2C","network":"Default","connections":["R-2.211","R-10.219","R-5.260"]},\n{"name":"L-2.168","strength":"0.577|0.543","x":99,"y":99,"z":99,"image":"#","order":168,"color":"#364D13","network":"CinguloOperc","connections":["R-11.236","R-5.318"]},\n{"name":"L-6.169","x":99,"y":99,"z":99,"image":"#","order":169,"color":"#649838","network":"FrontoParietal"},\n{"name":"L-6.170","strength":"0.553","x":99,"y":99,"z":99,"image":"#","order":170,"color":"#649838","network":"FrontoParietal","connections":["R-2.259"]},\n{"name":"L-4.171","x":99,"y":99,"z":99,"image":"#","order":171,"color":"#340E2C","network":"Default"},\n{"name":"L-4.173","x":99,"y":99,"z":99,"image":"#","order":173,"color":"#340E2C","network":"Default"},\n{"name":"L-4.174","strength":"0.547","x":99,"y":99,"z":99,"image":"#","order":174,"color":"#340E2C","network":"Default","connections":["L-3.13"]},\n{"name":"L-2.175","strength":"0.63|0.821|0.603|0.577|0.69|0.575|0.604|0.633|0.596|0.544|0.541|0.602|0.628|0.599|0.609|0.547","x":99,"y":99,"z":99,"image":"#","order":175,"color":"#364D13","network":"CinguloOperc","connections":["L-13.5","L-8.15","L-12.90","L-3.97","L-7.137","L-7.138","L-7.141","L-4.166","R-12.255","R-1.263","R-6.264","R-6.298","R-5.307","R-13.308","R-13.310","R-5.311"]},\n{"name":"L-4.176","x":99,"y":99,"z":99,"image":"#","order":176,"color":"#340E2C","network":"Default"},\n{"name":"L-5.177","x":99,"y":99,"z":99,"image":"#","order":177,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"L-4.180","strength":"0.602|0.541","x":99,"y":99,"z":99,"image":"#","order":180,"color":"#340E2C","network":"Default","connections":["L-7.21","L-7.22"]},\n{"name":"L-4.181","x":99,"y":99,"z":99,"image":"#","order":181,"color":"#340E2C","network":"Default"},\n{"name":"L-12.182","x":99,"y":99,"z":99,"image":"#","order":182,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"L-7.183","x":99,"y":99,"z":99,"image":"#","order":183,"color":"#ACA049","network":"None"},\n{"name":"L-1.184","strength":"0.585|0.565|0.54|0.55|0.625","x":99,"y":99,"z":99,"image":"#","order":184,"color":"#5ED5DF","network":"Auditory","connections":["L-8.150","L-13.152","R-6.319","R-2.321","R-5.322"]},\n{"name":"L-12.185","strength":"0.548","x":99,"y":99,"z":99,"image":"#","order":185,"color":"#CF89F5","network":"VentralAttn","connections":["L-7.22"]},\n{"name":"R-4.186","x":99,"y":99,"z":99,"image":"#","order":186,"color":"#340E2C","network":"Default"},\n{"name":"R-10.187","x":99,"y":99,"z":99,"image":"#","order":187,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-11.188","x":99,"y":99,"z":99,"image":"#","order":188,"color":"#60A0C7","network":"SMmouth"},\n{"name":"R-4.189","strength":"0.563|0.714|0.586|0.558|0.573","x":99,"y":99,"z":99,"image":"#","order":189,"color":"#340E2C","network":"Default","connections":["L-9.87","L-5.91","L-5.92","L-7.163","R-12.252"]},\n{"name":"R-13.190","strength":"0.668|0.551|0.591|0.554|0.54|0.541","x":99,"y":99,"z":99,"image":"#","order":190,"color":"#43956A","network":"Visual","connections":["L-2.31","L-10.36","L-7.163","R-6.191","R-13.193","R-2.209"]},\n{"name":"R-6.191","strength":"0.554|0.687|0.554|0.575|0.551","x":99,"y":99,"z":99,"image":"#","order":191,"color":"#649838","network":"FrontoParietal","connections":["L-9.32","L-10.36","R-13.190","R-13.193","R-2.204"]},\n{"name":"R-6.192","x":99,"y":99,"z":99,"image":"#","order":192,"color":"#649838","network":"FrontoParietal"},\n{"name":"R-13.193","strength":"0.546|0.611|0.569|0.572|0.54|0.575","x":99,"y":99,"z":99,"image":"#","order":193,"color":"#43956A","network":"Visual","connections":["L-9.32","L-10.35","L-10.36","L-7.163","R-13.190","R-6.191"]},\n{"name":"R-6.194","x":99,"y":99,"z":99,"image":"#","order":194,"color":"#649838","network":"FrontoParietal"},\n{"name":"R-1.195","x":99,"y":99,"z":99,"image":"#","order":195,"color":"#5ED5DF","network":"Auditory"},\n{"name":"R-7.196","x":99,"y":99,"z":99,"image":"#","order":196,"color":"#ACA049","network":"None"},\n{"name":"R-3.197","x":99,"y":99,"z":99,"image":"#","order":197,"color":"#D53BD3","network":"CinguloParietal"},\n{"name":"R-8.198","x":99,"y":99,"z":99,"image":"#","order":198,"color":"#43D484","network":"RetrosplenialTemporal"},\n{"name":"R-13.199","x":99,"y":99,"z":99,"image":"#","order":199,"color":"#43956A","network":"Visual"},\n{"name":"R-13.200","strength":"0.563|0.542|0.557|0.632|0.634|0.547|0.581","x":99,"y":99,"z":99,"image":"#","order":200,"color":"#43956A","network":"Visual","connections":["L-5.44","L-13.94","R-2.220","R-2.259","R-1.315","R-4.326","R-7.327"]},\n{"name":"R-13.201","strength":"0.574|0.632|0.594","x":99,"y":99,"z":99,"image":"#","order":201,"color":"#43956A","network":"Visual","connections":["R-10.214","R-2.216","R-10.217"]},\n{"name":"R-7.202","strength":"0.552","x":99,"y":99,"z":99,"image":"#","order":202,"color":"#ACA049","network":"None","connections":["R-10.214"]},\n{"name":"R-7.203","x":99,"y":99,"z":99,"image":"#","order":203,"color":"#ACA049","network":"None"},\n{"name":"R-2.204","strength":"0.551","x":99,"y":99,"z":99,"image":"#","order":204,"color":"#364D13","network":"CinguloOperc","connections":["R-6.191"]},\n{"name":"R-2.205","x":99,"y":99,"z":99,"image":"#","order":205,"color":"#364D13","network":"CinguloOperc"},\n{"name":"R-6.206","x":99,"y":99,"z":99,"image":"#","order":206,"color":"#649838","network":"FrontoParietal"},\n{"name":"R-9.207","x":99,"y":99,"z":99,"image":"#","order":207,"color":"#4E3124","network":"Salience"},\n{"name":"R-4.208","x":99,"y":99,"z":99,"image":"#","order":208,"color":"#340E2C","network":"Default"},\n{"name":"R-2.209","strength":"0.581|0.541","x":99,"y":99,"z":99,"image":"#","order":209,"color":"#364D13","network":"CinguloOperc","connections":["L-7.163","R-13.190"]},\n{"name":"R-4.210","x":99,"y":99,"z":99,"image":"#","order":210,"color":"#340E2C","network":"Default"},\n{"name":"R-2.211","strength":"0.596|0.539","x":99,"y":99,"z":99,"image":"#","order":211,"color":"#364D13","network":"CinguloOperc","connections":["L-4.167","R-2.262"]},\n{"name":"R-2.212","strength":"0.627|0.712|0.76|0.553|0.554","x":99,"y":99,"z":99,"image":"#","order":212,"color":"#364D13","network":"CinguloOperc","connections":["L-11.3","L-10.53","L-8.164","R-1.268","R-2.269"]},\n{"name":"R-5.213","strength":"0.54|0.565|0.544|0.544|0.634","x":99,"y":99,"z":99,"image":"#","order":213,"color":"#D26F9C","network":"DorsalAttn","connections":["L-11.56","R-10.217","R-6.264","R-12.265","R-2.270"]},\n{"name":"R-10.214","strength":"0.574|0.552","x":99,"y":99,"z":99,"image":"#","order":214,"color":"#2ACA3F","network":"SMhand","connections":["R-13.201","R-7.202"]},\n{"name":"R-10.215","strength":"0.603","x":99,"y":99,"z":99,"image":"#","order":215,"color":"#2ACA3F","network":"SMhand","connections":["R-10.217"]},\n{"name":"R-2.216","strength":"0.551|0.632|0.587","x":99,"y":99,"z":99,"image":"#","order":216,"color":"#364D13","network":"CinguloOperc","connections":["L-10.38","R-13.201","R-10.218"]},\n{"name":"R-10.217","strength":"0.594|0.565|0.603","x":99,"y":99,"z":99,"image":"#","order":217,"color":"#2ACA3F","network":"SMhand","connections":["R-13.201","R-5.213","R-10.215"]},\n{"name":"R-10.218","strength":"0.587","x":99,"y":99,"z":99,"image":"#","order":218,"color":"#2ACA3F","network":"SMhand","connections":["R-2.216"]},\n{"name":"R-10.219","strength":"0.574|0.548|0.557","x":99,"y":99,"z":99,"image":"#","order":219,"color":"#2ACA3F","network":"SMhand","connections":["L-4.167","R-5.223","R-5.318"]},\n{"name":"R-2.220","strength":"0.607|0.631|0.561|0.6|0.557|0.709|0.566|0.57|0.626","x":99,"y":99,"z":99,"image":"#","order":220,"color":"#364D13","network":"CinguloOperc","connections":["L-4.1","L-4.6","L-13.94","L-13.162","R-13.200","R-2.259","R-13.290","R-1.315","R-7.327"]},\n{"name":"R-11.221","x":99,"y":99,"z":99,"image":"#","order":221,"color":"#60A0C7","network":"SMmouth"},\n{"name":"R-2.222","x":99,"y":99,"z":99,"image":"#","order":222,"color":"#364D13","network":"CinguloOperc"},\n{"name":"R-5.223","strength":"0.548|0.54|0.544|0.549|0.552|0.576|0.559|0.596|0.618","x":99,"y":99,"z":99,"image":"#","order":223,"color":"#D26F9C","network":"DorsalAttn","connections":["R-10.219","R-10.230","R-6.264","R-12.265","R-1.268","R-2.269","R-2.270","R-5.274","R-13.275"]},\n{"name":"R-4.224","x":99,"y":99,"z":99,"image":"#","order":224,"color":"#340E2C","network":"Default"},\n{"name":"R-10.225","x":99,"y":99,"z":99,"image":"#","order":225,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-10.226","x":99,"y":99,"z":99,"image":"#","order":226,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-5.227","strength":"0.618|0.561","x":99,"y":99,"z":99,"image":"#","order":227,"color":"#D26F9C","network":"DorsalAttn","connections":["R-10.233","R-7.330"]},\n{"name":"R-10.228","x":99,"y":99,"z":99,"image":"#","order":228,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-10.229","x":99,"y":99,"z":99,"image":"#","order":229,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-10.230","strength":"0.54","x":99,"y":99,"z":99,"image":"#","order":230,"color":"#2ACA3F","network":"SMhand","connections":["R-5.223"]},\n{"name":"R-10.231","x":99,"y":99,"z":99,"image":"#","order":231,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-5.232","x":99,"y":99,"z":99,"image":"#","order":232,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"R-10.233","strength":"0.618","x":99,"y":99,"z":99,"image":"#","order":233,"color":"#2ACA3F","network":"SMhand","connections":["R-5.227"]},\n{"name":"R-10.234","x":99,"y":99,"z":99,"image":"#","order":234,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-5.235","x":99,"y":99,"z":99,"image":"#","order":235,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"R-11.236","strength":"0.577|0.568|0.612","x":99,"y":99,"z":99,"image":"#","order":236,"color":"#60A0C7","network":"SMmouth","connections":["L-2.168","R-2.273","R-13.275"]},\n{"name":"R-10.237","x":99,"y":99,"z":99,"image":"#","order":237,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-10.238","x":99,"y":99,"z":99,"image":"#","order":238,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-10.239","x":99,"y":99,"z":99,"image":"#","order":239,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-10.240","x":99,"y":99,"z":99,"image":"#","order":240,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-10.241","x":99,"y":99,"z":99,"image":"#","order":241,"color":"#2ACA3F","network":"SMhand"},\n{"name":"R-11.242","x":99,"y":99,"z":99,"image":"#","order":242,"color":"#60A0C7","network":"SMmouth"},\n{"name":"R-2.243","x":99,"y":99,"z":99,"image":"#","order":243,"color":"#364D13","network":"CinguloOperc"},\n{"name":"R-4.244","x":99,"y":99,"z":99,"image":"#","order":244,"color":"#340E2C","network":"Default"},\n{"name":"R-12.245","x":99,"y":99,"z":99,"image":"#","order":245,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"R-12.246","x":99,"y":99,"z":99,"image":"#","order":246,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"R-2.247","x":99,"y":99,"z":99,"image":"#","order":247,"color":"#364D13","network":"CinguloOperc"},\n{"name":"R-1.248","x":99,"y":99,"z":99,"image":"#","order":248,"color":"#5ED5DF","network":"Auditory"},\n{"name":"R-4.249","strength":"0.544|0.539","x":99,"y":99,"z":99,"image":"#","order":249,"color":"#340E2C","network":"Default","connections":["R-13.275","R-5.318"]},\n{"name":"R-12.250","x":99,"y":99,"z":99,"image":"#","order":250,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"R-1.251","strength":"0.562|0.552|0.637|0.563|0.564|0.677|0.58|0.539","x":99,"y":99,"z":99,"image":"#","order":251,"color":"#5ED5DF","network":"Auditory","connections":["L-13.5","L-10.51","L-9.87","L-7.163","L-4.166","R-12.252","R-2.262","R-6.264"]},\n{"name":"R-12.252","strength":"0.585|0.587|0.752|0.573|0.547|0.546|0.575|0.573|0.677|0.623|0.594|0.604","x":99,"y":99,"z":99,"image":"#","order":252,"color":"#CF89F5","network":"VentralAttn","connections":["L-13.5","L-10.51","L-9.87","L-2.88","L-5.91","L-7.163","L-4.166","R-4.189","R-1.251","R-12.253","R-2.258","R-2.262"]},\n{"name":"R-12.253","strength":"0.565|0.57|0.623|0.577","x":99,"y":99,"z":99,"image":"#","order":253,"color":"#CF89F5","network":"VentralAttn","connections":["L-9.87","L-2.88","R-12.252","R-2.258"]},\n{"name":"R-1.254","strength":"0.603|0.704","x":99,"y":99,"z":99,"image":"#","order":254,"color":"#5ED5DF","network":"Auditory","connections":["L-12.89","L-3.93"]},\n{"name":"R-12.255","strength":"0.674|0.549|0.667|0.658|0.689|0.596|0.573|0.539|0.56|0.562|0.635|0.611","x":99,"y":99,"z":99,"image":"#","order":255,"color":"#CF89F5","network":"VentralAttn","connections":["L-13.5","L-8.15","L-12.90","L-7.137","L-4.166","L-2.175","R-1.256","R-6.264","R-6.298","R-5.307","R-13.310","R-5.311"]},\n{"name":"R-1.256","strength":"0.61|0.629|0.645|0.573|0.552|0.611","x":99,"y":99,"z":99,"image":"#","order":256,"color":"#5ED5DF","network":"Auditory","connections":["L-13.5","L-7.137","L-4.166","R-12.255","R-5.307","R-13.310"]},\n{"name":"R-1.257","x":99,"y":99,"z":99,"image":"#","order":257,"color":"#5ED5DF","network":"Auditory"},\n{"name":"R-2.258","strength":"0.633|0.55|0.587|0.662|0.594|0.577|0.545|0.577|0.593","x":99,"y":99,"z":99,"image":"#","order":258,"color":"#364D13","network":"CinguloOperc","connections":["L-13.5","L-9.87","L-3.97","L-4.166","R-12.252","R-12.253","R-1.263","R-12.265","R-6.298"]},\n{"name":"R-2.259","strength":"0.586|0.546|0.687|0.633|0.553|0.632|0.709|0.59|0.601","x":99,"y":99,"z":99,"image":"#","order":259,"color":"#364D13","network":"CinguloOperc","connections":["L-4.1","L-4.6","L-13.94","L-13.162","L-6.170","R-13.200","R-2.220","R-1.315","R-7.327"]},\n{"name":"R-5.260","strength":"0.549|0.561","x":99,"y":99,"z":99,"image":"#","order":260,"color":"#D26F9C","network":"DorsalAttn","connections":["L-4.167","R-12.261"]},\n{"name":"R-12.261","strength":"0.561","x":99,"y":99,"z":99,"image":"#","order":261,"color":"#CF89F5","network":"VentralAttn","connections":["R-5.260"]},\n{"name":"R-2.262","strength":"0.553|0.556|0.539|0.58|0.604","x":99,"y":99,"z":99,"image":"#","order":262,"color":"#364D13","network":"CinguloOperc","connections":["L-10.51","L-9.87","R-2.211","R-1.251","R-12.252"]},\n{"name":"R-1.263","strength":"0.664|0.686|0.646|0.593|0.599|0.544|0.545|0.611|0.585|0.576","x":99,"y":99,"z":99,"image":"#","order":263,"color":"#5ED5DF","network":"Auditory","connections":["L-3.97","L-4.98","L-7.140","L-7.141","L-4.166","L-2.175","R-2.258","R-6.264","R-12.265","R-13.309"]},\n{"name":"R-6.264","strength":"0.602|0.574|0.576|0.598|0.561|0.685|0.541|0.544|0.544|0.539|0.539|0.611|0.704|0.618|0.655|0.593","x":99,"y":99,"z":99,"image":"#","order":264,"color":"#649838","network":"FrontoParietal","connections":["L-13.5","L-3.97","L-5.99","L-7.137","L-7.141","L-4.166","L-2.175","R-5.213","R-5.223","R-1.251","R-12.255","R-1.263","R-12.265","R-12.267","R-6.298","R-5.307"]},\n{"name":"R-12.265","strength":"0.544|0.552|0.563|0.577|0.544|0.549|0.577|0.585|0.704|0.634|0.557","x":99,"y":99,"z":99,"image":"#","order":265,"color":"#CF89F5","network":"VentralAttn","connections":["L-13.5","L-3.97","L-6.100","L-4.166","R-5.213","R-5.223","R-2.258","R-1.263","R-6.264","R-6.298","R-6.299"]},\n{"name":"R-12.266","x":99,"y":99,"z":99,"image":"#","order":266,"color":"#CF89F5","network":"VentralAttn"},\n{"name":"R-12.267","strength":"0.618","x":99,"y":99,"z":99,"image":"#","order":267,"color":"#CF89F5","network":"VentralAttn","connections":["R-6.264"]},\n{"name":"R-1.268","strength":"0.553|0.552","x":99,"y":99,"z":99,"image":"#","order":268,"color":"#5ED5DF","network":"Auditory","connections":["R-2.212","R-5.223"]},\n{"name":"R-2.269","strength":"0.554|0.576","x":99,"y":99,"z":99,"image":"#","order":269,"color":"#364D13","network":"CinguloOperc","connections":["R-2.212","R-5.223"]},\n{"name":"R-2.270","strength":"0.634|0.559","x":99,"y":99,"z":99,"image":"#","order":270,"color":"#364D13","network":"CinguloOperc","connections":["R-5.213","R-5.223"]},\n{"name":"R-9.271","strength":"0.548","x":99,"y":99,"z":99,"image":"#","order":271,"color":"#4E3124","network":"Salience","connections":["R-13.275"]},\n{"name":"R-2.272","strength":"0.627","x":99,"y":99,"z":99,"image":"#","order":272,"color":"#364D13","network":"CinguloOperc","connections":["R-7.327"]},\n{"name":"R-2.273","strength":"0.568|0.581","x":99,"y":99,"z":99,"image":"#","order":273,"color":"#364D13","network":"CinguloOperc","connections":["R-11.236","R-13.275"]},\n{"name":"R-5.274","strength":"0.596","x":99,"y":99,"z":99,"image":"#","order":274,"color":"#D26F9C","network":"DorsalAttn","connections":["R-5.223"]},\n{"name":"R-13.275","strength":"0.618|0.612|0.544|0.548|0.581","x":99,"y":99,"z":99,"image":"#","order":275,"color":"#43956A","network":"Visual","connections":["R-5.223","R-11.236","R-4.249","R-9.271","R-2.273"]},\n{"name":"R-5.276","x":99,"y":99,"z":99,"image":"#","order":276,"color":"#D26F9C","network":"DorsalAttn"},\n{"name":"R-5.277","strength":"0.555","x":99,"y":99,"z":99,"image":"#","order":277,"color":"#D26F9C","network":"DorsalAttn","connections":["R-6.319"]},\n{"name":"R-3.278","strength":"0.574|0.552","x":99,"y":99,"z":99,"image":"#","order":278,"color":"#D53BD3","network":"CinguloParietal","connections":["L-2.116","R-5.322"]},\n{"name":"R-13.279","strength":"0.585","x":99,"y":99,"z":99,"image":"#","order":279,"color":"#43956A","network":"Visual","connections":["L-2.116"]},\n{"name":"R-13.290","strength":"0.566","x":99,"y":99,"z":99,"image":"#","order":290,"color":"#43956A","network":"Visual","connections":["R-2.220"]},\n{"name":"R-4.293","x":99,"y":99,"z":99,"image":"#","order":293,"color":"#340E2C","network":"Default"},\n{"name":"R-13.294","x":99,"y":99,"z":99,"image":"#","order":294,"color":"#43956A","network":"Visual"},\n{"name":"R-4.295","x":99,"y":99,"z":99,"image":"#","order":295,"color":"#340E2C","network":"Default"},\n{"name":"R-6.298","strength":"0.669|0.574|0.555|0.597|0.656|0.614|0.71|0.602|0.56|0.593|0.655|0.634|0.567|0.615|0.593|0.559","x":99,"y":99,"z":99,"image":"#","order":298,"color":"#649838","network":"FrontoParietal","connections":["L-13.5","L-8.15","L-12.90","L-3.97","L-7.137","L-7.141","L-4.166","L-2.175","R-12.255","R-2.258","R-6.264","R-12.265","R-6.299","R-5.307","R-13.308","R-13.310"]},\n{"name":"R-6.299","strength":"0.557|0.567","x":99,"y":99,"z":99,"image":"#","order":299,"color":"#649838","network":"FrontoParietal","connections":["R-12.265","R-6.298"]},\n{"name":"R-5.307","strength":"0.694|0.592|0.544|0.571|0.735|0.56|0.561|0.755|0.628|0.562|0.552|0.593|0.615|0.57|0.619","x":99,"y":99,"z":99,"image":"#","order":307,"color":"#D26F9C","network":"DorsalAttn","connections":["L-13.5","L-8.15","L-12.90","L-3.97","L-7.137","L-7.138","L-7.141","L-4.166","L-2.175","R-12.255","R-1.256","R-6.264","R-6.298","R-13.308","R-13.310"]},\n{"name":"R-13.308","strength":"0.569|0.575|0.616|0.549|0.6|0.599|0.593|0.57","x":99,"y":99,"z":99,"image":"#","order":308,"color":"#43956A","network":"Visual","connections":["L-13.5","L-8.15","L-7.137","L-7.138","L-4.166","L-2.175","R-6.298","R-5.307"]},\n{"name":"R-13.309","strength":"0.583|0.576","x":99,"y":99,"z":99,"image":"#","order":309,"color":"#43956A","network":"Visual","connections":["L-7.141","R-1.263"]},\n{"name":"R-13.310","strength":"0.627|0.541|0.602|0.714|0.67|0.609|0.635|0.611|0.559|0.619|0.594","x":99,"y":99,"z":99,"image":"#","order":310,"color":"#43956A","network":"Visual","connections":["L-13.5","L-8.15","L-12.90","L-7.137","L-4.166","L-2.175","R-12.255","R-1.256","R-6.298","R-5.307","R-5.311"]},\n{"name":"R-5.311","strength":"0.582|0.608|0.605|0.586|0.547|0.611|0.594","x":99,"y":99,"z":99,"image":"#","order":311,"color":"#D26F9C","network":"DorsalAttn","connections":["L-13.5","L-12.90","L-7.137","L-4.166","L-2.175","R-12.255","R-13.310"]},\n{"name":"R-13.313","x":99,"y":99,"z":99,"image":"#","order":313,"color":"#43956A","network":"Visual"},\n{"name":"R-1.315","strength":"0.58|0.544|0.634|0.57|0.59|0.575|0.552|0.569","x":99,"y":99,"z":99,"image":"#","order":315,"color":"#5ED5DF","network":"Auditory","connections":["L-5.44","L-13.162","R-13.200","R-2.220","R-2.259","R-1.316","R-2.321","R-5.322"]},\n{"name":"R-1.316","strength":"0.575","x":99,"y":99,"z":99,"image":"#","order":316,"color":"#5ED5DF","network":"Auditory","connections":["R-1.315"]},\n{"name":"R-10.317","strength":"0.57","x":99,"y":99,"z":99,"image":"#","order":317,"color":"#2ACA3F","network":"SMhand","connections":["R-5.318"]},\n{"name":"R-5.318","strength":"0.574|0.543|0.557|0.539|0.57","x":99,"y":99,"z":99,"image":"#","order":318,"color":"#D26F9C","network":"DorsalAttn","connections":["L-7.153","L-2.168","R-10.219","R-4.249","R-10.317"]},\n{"name":"R-6.319","strength":"0.54|0.555|0.587","x":99,"y":99,"z":99,"image":"#","order":319,"color":"#649838","network":"FrontoParietal","connections":["L-1.184","R-5.277","R-2.321"]},\n{"name":"R-6.320","x":99,"y":99,"z":99,"image":"#","order":320,"color":"#649838","network":"FrontoParietal"},\n{"name":"R-2.321","strength":"0.595|0.675|0.585|0.55|0.552|0.587|0.679|0.564","x":99,"y":99,"z":99,"image":"#","order":321,"color":"#364D13","network":"CinguloOperc","connections":["L-4.146","L-8.150","L-13.151","L-1.184","R-1.315","R-6.319","R-5.322","R-6.324"]},\n{"name":"R-5.322","strength":"0.543|0.583|0.727|0.583|0.588|0.546|0.625|0.552|0.569|0.679|0.556|0.57","x":99,"y":99,"z":99,"image":"#","order":322,"color":"#D26F9C","network":"DorsalAttn","connections":["L-7.145","L-4.146","L-8.150","L-13.151","L-13.152","L-13.162","L-1.184","R-3.278","R-1.315","R-2.321","R-6.323","R-4.325"]},\n{"name":"R-6.323","strength":"0.542|0.556","x":99,"y":99,"z":99,"image":"#","order":323,"color":"#649838","network":"FrontoParietal","connections":["L-8.150","R-5.322"]},\n{"name":"R-6.324","strength":"0.542|0.55|0.564","x":99,"y":99,"z":99,"image":"#","order":324,"color":"#649838","network":"FrontoParietal","connections":["L-7.145","L-8.150","R-2.321"]},\n{"name":"R-4.325","strength":"0.558|0.57","x":99,"y":99,"z":99,"image":"#","order":325,"color":"#340E2C","network":"Default","connections":["L-8.150","R-5.322"]},\n{"name":"R-4.326","strength":"0.547","x":99,"y":99,"z":99,"image":"#","order":326,"color":"#340E2C","network":"Default","connections":["R-13.200"]},\n{"name":"R-7.327","strength":"0.581|0.626|0.601|0.627|0.561","x":99,"y":99,"z":99,"image":"#","order":327,"color":"#ACA049","network":"None","connections":["R-13.200","R-2.220","R-2.259","R-2.272","R-7.328"]},\n{"name":"R-7.328","strength":"0.561","x":99,"y":99,"z":99,"image":"#","order":328,"color":"#ACA049","network":"None","connections":["R-7.327"]},\n{"name":"R-7.329","x":99,"y":99,"z":99,"image":"#","order":329,"color":"#ACA049","network":"None"},\n{"name":"R-7.330","strength":"0.561","x":99,"y":99,"z":99,"image":"#","order":330,"color":"#ACA049","network":"None","connections":["R-5.227"]},\n{"name":"R-7.331","x":99,"y":99,"z":99,"image":"#","order":331,"color":"#ACA049","network":"None"},\n{"name":"R-7.332","x":99,"y":99,"z":99,"image":"#","order":332,"color":"#ACA049","network":"None"},\n{"name":"R-7.333","x":99,"y":99,"z":99,"image":"#","order":333,"color":"#ACA049","network":"None"}];\n\n  var classcounts = packages.count(classes);\n  \n  var nodes = cluster.nodes(packages.root(classes,classcounts.centroids)),\n      // Links will have source, target, and value (strength) of correlation\n      links = packages.connections(nodes),\n      splines = bundle(links);\n         \n  // This variable could determine if the current svg view should\n  // be frozen, which can be done with a click\n  // var freeze = "on";\n\n  var path = svg.selectAll("path.link")\n      .data(links)\n      .enter().append("svg:path")\n        .attr("class", function(d) { \n         if (d.value > 0) {var direction = "up"}\n         else {var direction = "down"}\n         return "link source-" + d.source.key + " direction-" + direction + " target-" + d.target.key; })\n        .attr("d", function(d, i) { return line(splines[i]); })\n        // These attributes are very important to saving - they must be defined here \n        // or else saving the shot of the svg will not include them, and you will\n        // create a monster!\n        .style("stroke-opacity",0.2)\n        .style("fill","none")\n        .style("stroke",function(d){\n          // Here we add a variable, "value" to class of node to distinguish if its positive or negative\n          var direction;\n          if (d.value > 0) {return "red";}\n          else {return "#7AA6FE";}\n        })\n     \n\n  // TODO: only print name for first name\n  \n  svg.selectAll("g.node")\n      .data(nodes.filter(function(n) { return !n.children; }))\n        .enter().append("svg:g")\n        .attr("class", "node")\n        .style("font-size",18)\n        .attr("id", function(d) { return "node-" + d.key; })\n        .attr("transform", function(d) { return "rotate(" + (d.x - 90) + ")translate(" + d.y + ")"; })\n    .append("svg:text")\n      .attr("dx", function(d) { return d.x < 180 ? 8 : -8; })\n      .attr("dy", ".8em")\n      .attr("fill",function(d) { return d.color; })\n      .attr("text-anchor", function(d) { return d.x < 180 ? "start" : "end"; })\n      .attr("transform", function(d) { return d.x < 180 ? null : "rotate(180)"; })\n      .text(function(d) { return d.network });\n      \n    svg.selectAll("g.node")\n        .append("svg:circle")\n          .attr("r",4)\n          .attr("fill",function(d) {return d.color})   \n      .on("mouseover", mouseover)\n      .on("mouseout", mouseout)\n\n      // Show image of roi when mouse over node\n      .on("mouseover.image",function(node){\n        // Add the image\n        d3.select("#imageBox")\n          .selectAll("img")\n          .attr("src", "img/" + node.image)\n\n          // Add the xyz coordinates\n          d3.select("#x").text(node.xcoord.toFixed(2))\n          d3.select("#y").text(node.ycoord.toFixed(2))\n          d3.select("#z").text(node.z.toFixed(2))\n      })\n      // Show title of network when mouse over node\n      .on("mouseover.title",function(d) { \n         d3.select("#titleBox")\n          .selectAll("h3")\n          .text(d.network);})\n     \n\n  // Here is slider to adjust the tension   \n  d3.select("input[type=range]").on("change", function() {\n    line.tension(this.value / 100);\n    path.attr("d", function(d, i) { return line(splines[i]); });\n  });\n\nd3.select(window)\n    .on("mousemove", mousemove)\n    .on("mouseup", mouseup);\n\nfunction mouse(e) {\n  return [e.pageX - rx, e.pageY - ry];\n}\n\nfunction mousedown() {\n  m0 = mouse(d3.event);\n  d3.event.preventDefault();\n}\n\nfunction mousemove() {\n  if (m0) {\n    var m1 = mouse(d3.event),\n        dm = Math.atan2(cross(m0, m1), dot(m0, m1)) * 180 / Math.PI;\n    div.style("-webkit-transform", "translateY(" + (ry - rx) + "px)rotateZ(" + dm + "deg)translateY(" + (rx - ry) + "px)");\n  }\n}\n\nfunction mouseup() {\n  if (m0) {\n    var m1 = mouse(d3.event),\n        dm = Math.atan2(cross(m0, m1), dot(m0, m1)) * 180 / Math.PI;\n\n    rotate += dm;\n    if (rotate > 360) rotate -= 360;\n    else if (rotate < 0) rotate += 360;\n    m0 = null;\n\n    div.style("-webkit-transform", null);\n\n    svg\n      .attr("transform", "translate(" + rx + "," + ry + ")rotate(" + rotate + ")")\n      .selectAll("g.node text")\n        .attr("dx", function(d) { return (d.x + rotate) % 360 < 180 ? 8 : -8; })\n        .attr("text-anchor", function(d) { return (d.x + rotate) % 360 < 180 ? "start" : "end"; })\n        .attr("transform", function(d) { return (d.x + rotate) % 360 < 180 ? null : "rotate(180)"; });\n  }\n}\n// Here is where we should modify the coloring of the nodes!\nfunction mouseover(d) {\n  svg.selectAll("path.link.target-" + d.key)\n        .attr(\'stroke-width\', 8)\n        .style("stroke-opacity", 1);\n  \n  svg.selectAll("path.link.source-" + d.key)\n      .attr(\'stroke-width\', 8)\n      .style("stroke-opacity", 1);\n      \n}\n\nfunction mouseout(d) {\n  svg.selectAll("path.link.source-" + d.key)\n             .attr(\'stroke-width\',3)\n             .style("stroke-opacity", 0.2);\n\n  svg.selectAll("path.link.target-" + d.key)\n       .attr(\'stroke-width\',3)\n        .style("stroke-opacity", 0.2);\n\n}\n\nfunction updateNodes(name, value) {\n  return function(d) {\n    if (value) this.parentNode.appendChild(this);\n    svg.select("#node-" + d[name].key).classed(name, value);\n  };\n}\n\nfunction cross(a, b) {\n  return a[0] * b[1] - a[1] * b[0];\n}\n\nfunction dot(a, b) {\n  return a[0] * b[0] + a[1] * b[1];\n}\n\n//Vanessa\'s Hacky save svg function!\nfunction save_svg(evt) {\n    var svg = document.getElementsByTagName("svg");\n    var serializer = new XMLSerializer();\n    var svg_blob = new Blob([serializer.serializeToString(svg[0])],\n                            {\'type\': "image/svg+xml"});\n    var url = URL.createObjectURL(svg_blob);\n    var svg_win = window.open(url, "svg_win");\n}\n\n\n//Highlight all positive node connections\ndocument.getElementById(\'highlight_positive\').onchange = function() {\n    if ( document.getElementById(\'highlight_positive\').checked === true ) {\n       d3.selectAll("path.link.direction-up")        \n      .attr("stroke-width",8);\n    }\n    else {\n      d3.selectAll("path.link.direction-up")        \n      .attr("stroke-width",3);\n    }\n}\n\n\ndocument.getElementById(\'highlight_negative\').onchange = function() {\n    if ( document.getElementById(\'highlight_negative\').checked === true ) {\n       d3.selectAll("path.link.direction-down")        \n      .attr("stroke-width",8);\n    }\n    else {\n      d3.selectAll("path.link.direction-down")        \n      .attr("stroke-width",3);\n    }\n\n}\n</script>\n<div class="control">\n<h3 class="navbar-brand" style="margin-bottom:0px;padding-left:5px">tension</h3>\n<input style="padding-left:20px;position:relative;top:3px;" type="range" min="0" max="100" value="85">\n</div>\n    \n</body>\n</html>\n'
    assert_equal(expected_output,html_snippet)
